Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 423813002: Sdch view for net-internals (Closed)

Created:
5 years ago by baranovich
Modified:
4 years, 7 months ago
CC:
chromium-reviews, cbentzel+watch_chromium.org, eroman, arv+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

Sdch view for net-internals BUG= R=mmenke, rdsmith, jwd TEST=NetInternalsTest.netInternalsTourTabs NetInternalsTest.netInternalsExport*/Import* NetInternalsTest.netInternalsSdchView* Committed: https://crrev.com/fe89e5a5a23f3323201d3586b2ec77174f042158 Cr-Commit-Position: refs/heads/master@{#302546} Committed: https://crrev.com/c5e3865a91bc281f3b90454aef561c5f37806995 Cr-Commit-Position: refs/heads/master@{#304159}

Patch Set 1 #

Total comments: 3

Patch Set 2 : Added SDCH problems to error log #

Patch Set 3 : Change comments and netlog field name #

Total comments: 13

Patch Set 4 : Review remarks fixes #

Patch Set 5 : Sync w/master #

Patch Set 6 : Return BoundNetLog from FilterContext #

Patch Set 7 : Create Dictionary JSON directly in SdchManager::SdchInfoToValue #

Total comments: 30

Patch Set 8 : Addressing more comments #

Patch Set 9 : unify return values #

Patch Set 10 : Paint URL_REQUEST red iff domain is blacklisted #

Patch Set 11 : Fix SdchErrorRecovery calls due to IsInSupportedDomain errors #

Patch Set 12 : Adopt logging for URLReqest-based dict fetcher + cosmetics #

Total comments: 35

Patch Set 13 : Review fixes. Lots. #

Total comments: 31

Patch Set 14 : browser tests. New histogram #

Patch Set 15 : Rebasing to the latest trunk #

Patch Set 16 : tests for blacklist table contents #

Patch Set 17 : Declare SdchProblemCode #

Total comments: 25

Patch Set 18 : Addressing comments #

Total comments: 1

Patch Set 19 : Use net_log_util #

Patch Set 20 : Remove unnecessary include #

Total comments: 23

Patch Set 21 : fixing nits. Add event for ResponseCorruptionDetection #

Total comments: 6

Patch Set 22 : deprecation dates for the old histograms #

Total comments: 2

Patch Set 23 : Fixing last nits #

Patch Set 24 : Fix windows (uninit var) and iOS (sdch disabled tests) builds #

Patch Set 25 : Fix flakiness #

Patch Set 26 : Pass netlog to ChromeSdchPolicy #

Total comments: 2

Patch Set 27 : Fix formatting nit #

Patch Set 28 : Fix component linkage #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1256 lines, -444 lines) Patch
M chrome/browser/net/chrome_sdch_policy.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/net/chrome_sdch_policy.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 2 chunks +11 lines, -2 lines 0 comments Download
M chrome/browser/resources/net_internals/browser_bridge.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +12 lines, -0 lines 0 comments Download
M chrome/browser/resources/net_internals/index.html View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/resources/net_internals/index.js View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/resources/net_internals/log_view_painter.js View 1 2 3 chunks +8 lines, -2 lines 0 comments Download
M chrome/browser/resources/net_internals/main.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 4 chunks +15 lines, -0 lines 0 comments Download
A chrome/browser/resources/net_internals/sdch_view.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +73 lines, -0 lines 0 comments Download
A chrome/browser/resources/net_internals/sdch_view.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +60 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/net_internals/net_internals_ui_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/chrome_tests.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 1 chunk +1 line, -0 lines 0 comments Download
A chrome/test/data/sdch/base-page.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +13 lines, -0 lines 0 comments Download
A chrome/test/data/sdch/dict View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +4 lines, -0 lines 0 comments Download
A chrome/test/data/sdch/non-html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 Binary file 0 comments Download
A + chrome/test/data/sdch/non-html.mock-http-headers View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +1 line, -0 lines 0 comments Download
A chrome/test/data/sdch/non-sdch.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +4 lines, -0 lines 0 comments Download
A + chrome/test/data/sdch/non-sdch.html.mock-http-headers View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +1 line, -1 line 0 comments Download
A chrome/test/data/sdch/page.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +4 lines, -0 lines 0 comments Download
A + chrome/test/data/sdch/page.html.mock-http-headers View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 21 22 23 24 25 26 27 1 chunk +1 line, -1 line 0 comments Download
M chrome/test/data/webui/net_internals/log_util.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/test/data/webui/net_internals/main.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -0 lines 0 comments Download
M chrome/test/data/webui/net_internals/net_internals_test.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -0 lines 0 comments Download
A chrome/test/data/webui/net_internals/sdch_view.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +223 lines, -0 lines 0 comments Download
M net/base/net_info_source_list.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 21 22 25 26 1 chunk +1 line, -0 lines 0 comments Download
M net/base/net_log_event_type_list.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +35 lines, -0 lines 0 comments Download
M net/base/net_log_util.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 4 chunks +31 lines, -0 lines 0 comments Download
M net/base/sdch_manager.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 11 chunks +42 lines, -126 lines 0 comments Download
M net/base/sdch_manager.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 19 chunks +167 lines, -138 lines 0 comments Download
M net/base/sdch_manager_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 13 chunks +67 lines, -59 lines 0 comments Download
A net/base/sdch_net_log_params.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 1 chunk +32 lines, -0 lines 0 comments Download
A net/base/sdch_net_log_params.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +34 lines, -0 lines 0 comments Download
A net/base/sdch_problem_code_list.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +127 lines, -0 lines 0 comments Download
A net/base/sdch_problem_codes.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +20 lines, -0 lines 0 comments Download
M net/filter/filter.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +5 lines, -1 line 0 comments Download
M net/filter/filter.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 6 chunks +21 lines, -20 lines 0 comments Download
M net/filter/mock_filter_context.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 3 chunks +4 lines, -0 lines 0 comments Download
M net/filter/mock_filter_context.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +4 lines, -0 lines 0 comments Download
M net/filter/sdch_filter.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +3 lines, -0 lines 0 comments Download
M net/filter/sdch_filter.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 15 chunks +90 lines, -39 lines 0 comments Download
M net/filter/sdch_filter_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 5 chunks +14 lines, -17 lines 0 comments Download
M net/net.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +4 lines, -0 lines 0 comments Download
M net/url_request/sdch_dictionary_fetcher.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 1 chunk +2 lines, -1 line 0 comments Download
M net/url_request/sdch_dictionary_fetcher.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 5 chunks +18 lines, -10 lines 0 comments Download
M net/url_request/sdch_dictionary_fetcher_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 1 chunk +2 lines, -1 line 0 comments Download
M net/url_request/url_request_http_job.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 6 chunks +64 lines, -22 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 5 chunks +25 lines, -3 lines 0 comments Download

Messages

Total messages: 118 (10 generated)
baranovich
Hi Matt, Not sure about the best reviewers for this CL. Following https://groups.google.com/a/chromium.org/forum/#!topic/net-dev/iKlYMSt0MAA This CL ...
5 years ago (2014-07-28 10:04:22 UTC) #1
mmenke
I'm a good reviewer for the net-internals portion of this CL. I'll see if I ...
5 years ago (2014-07-28 13:24:18 UTC) #2
Randy Smith (Not in Mondays)
On 2014/07/28 13:24:18, mmenke wrote: > I'm a good reviewer for the net-internals portion of ...
5 years ago (2014-07-28 14:36:26 UTC) #3
Randy Smith (Not in Mondays)
[Matt's perspective specifically requested.] My main concern is about the problem list being stored on ...
5 years ago (2014-07-28 19:52:43 UTC) #4
baranovich
Hi Randy, As for me, I totally agree, that this is a debug info and ...
5 years ago (2014-07-28 22:11:27 UTC) #5
mmenke
On 2014/07/28 22:11:27, baranovich wrote: > Hi Randy, > > As for me, I totally ...
5 years ago (2014-07-29 19:48:41 UTC) #6
Randy Smith (Not in Mondays)
On 2014/07/29 19:48:41, mmenke wrote: > On 2014/07/28 22:11:27, baranovich wrote: > > Hi Randy, ...
5 years ago (2014-07-30 14:34:39 UTC) #7
baranovich
Matt, Randy, I'm done with rewrite. I've added 2 types of netlog events: for resource ...
5 years ago (2014-08-02 21:17:16 UTC) #8
baranovich
https://codereview.chromium.org/423813002/diff/40001/net/base/sdch_manager.cc File net/base/sdch_manager.cc (right): https://codereview.chromium.org/423813002/diff/40001/net/base/sdch_manager.cc#newcode324 net/base/sdch_manager.cc:324: if (!IsSdchEnabledForUrl(url)) I've split this method into two for ...
5 years ago (2014-08-02 21:17:25 UTC) #9
Randy Smith (Not in Mondays)
On 2014/08/02 21:17:25, baranovich wrote: > https://codereview.chromium.org/423813002/diff/40001/net/base/sdch_manager.cc > File net/base/sdch_manager.cc (right): > > https://codereview.chromium.org/423813002/diff/40001/net/base/sdch_manager.cc#newcode324 > ...
5 years ago (2014-08-04 15:37:35 UTC) #10
Randy Smith (Not in Mondays)
baranovich@: Thanks very much for this! I think we're heading in the right direction; hopefully ...
5 years ago (2014-08-05 17:50:34 UTC) #11
mmenke
Talked a bit to rdsmith about this. What we're thinking is more along the lines ...
5 years ago (2014-08-05 18:55:17 UTC) #12
Randy Smith (Not in Mondays)
On 2014/08/05 18:55:17, mmenke wrote: > Talked a bit to rdsmith about this. > > ...
5 years ago (2014-08-05 19:41:01 UTC) #13
baranovich
Hi Matt, Randy! > + In the absence of Matt's opinion, I'd still like to ...
5 years ago (2014-08-05 19:49:11 UTC) #14
mmenke
On 2014/08/05 19:49:11, baranovich wrote: > Hi Matt, Randy! > > > + In the ...
5 years ago (2014-08-05 20:14:14 UTC) #15
mmenke
On 2014/08/05 20:14:14, mmenke wrote: > On 2014/08/05 19:49:11, baranovich wrote: > > Hi Matt, ...
5 years ago (2014-08-06 14:24:03 UTC) #16
Randy Smith (Not in Mondays)
On 2014/08/05 20:14:14, mmenke wrote: > On 2014/08/05 19:49:11, baranovich wrote: > > Hi Matt, ...
5 years ago (2014-08-07 17:41:35 UTC) #17
Randy Smith (Not in Mondays)
On 2014/08/05 19:49:11, baranovich wrote: > Hi Matt, Randy! > > > + In the ...
5 years ago (2014-08-07 17:46:23 UTC) #18
mmenke
On 2014/08/07 17:41:35, rdsmith wrote: > Nothing brilliant from this corner, I'm afraid. I am ...
5 years ago (2014-08-07 17:52:47 UTC) #19
baranovich
All comments addressed, PTAL once more. Although still not clear what to do with Dictionary ...
5 years ago (2014-08-12 20:54:51 UTC) #20
Randy Smith (Not in Mondays)
Quick round of responses; I want to go over the refactoring of SdchErrorRecovery() and the ...
5 years ago (2014-08-13 17:35:46 UTC) #21
baranovich
IsInSupportedDomain is tricky: it checks 3 things actually: if SDCH enabled, if SDCH-over-https enabled and ...
5 years ago (2014-08-13 18:37:16 UTC) #22
baranovich
https://codereview.chromium.org/423813002/diff/120001/net/base/sdch_dictionary_fetcher.cc File net/base/sdch_dictionary_fetcher.cc (right): https://codereview.chromium.org/423813002/diff/120001/net/base/sdch_dictionary_fetcher.cc#newcode105 net/base/sdch_dictionary_fetcher.cc:105: LogSdchProblem(problem, source->GetURL()); PROBLEM_CODE_OK may be even if we haven't ...
5 years ago (2014-08-13 18:38:58 UTC) #23
baranovich
https://codereview.chromium.org/423813002/diff/120001/net/base/net_log_source_type_list.h File net/base/net_log_source_type_list.h (right): https://codereview.chromium.org/423813002/diff/120001/net/base/net_log_source_type_list.h#newcode31 net/base/net_log_source_type_list.h:31: SOURCE_TYPE(SDCH_DICTIONARY_FETCHER) On 2014/08/13 17:35:45, rdsmith wrote: > Probably worth ...
5 years ago (2014-08-13 19:13:48 UTC) #24
mmenke
Sorry for slowness here, just one heavy review week after another. The simplest solution, in ...
5 years ago (2014-08-15 18:35:11 UTC) #25
Randy Smith (Not in Mondays)
On 2014/08/13 18:37:16, baranovich wrote: > IsInSupportedDomain is tricky: it checks 3 things actually: if ...
5 years ago (2014-08-19 19:00:09 UTC) #26
Randy Smith (Not in Mondays)
I'm going to take a quick look at what would be involved in switching from ...
5 years ago (2014-08-19 19:00:53 UTC) #27
Randy Smith (Not in Mondays)
On 2014/08/19 19:00:53, rdsmith wrote: > I'm going to take a quick look at what ...
5 years ago (2014-08-20 18:06:21 UTC) #28
baranovich
Hi Randy, I've rebased this CL to the latest trunk, and made AddSdchDictionary to return ...
4 years, 11 months ago (2014-09-01 21:01:35 UTC) #29
baranovich
So now I wait for https://codereview.chromium.org/495523003 to land to make the final approach to all ...
4 years, 11 months ago (2014-09-01 21:03:17 UTC) #30
Randy Smith (Not in Mondays)
On 2014/09/01 21:03:17, baranovich wrote: > So now I wait for https://codereview.chromium.org/495523003 to land to ...
4 years, 11 months ago (2014-09-02 14:17:07 UTC) #31
mmenke
On 2014/09/02 14:17:07, rdsmith wrote: > On 2014/09/01 21:03:17, baranovich wrote: > > So now ...
4 years, 11 months ago (2014-09-02 14:33:02 UTC) #32
baranovich
On 2014/09/02 14:17:07, rdsmith wrote: > On 2014/09/01 21:03:17, baranovich wrote: > > So now ...
4 years, 11 months ago (2014-09-02 16:58:40 UTC) #33
Randy Smith (Not in Mondays)
On 2014/09/02 16:58:40, baranovich wrote: > On 2014/09/02 14:17:07, rdsmith wrote: > > On 2014/09/01 ...
4 years, 11 months ago (2014-09-10 16:35:15 UTC) #34
Randy Smith (Not in Mondays)
On 2014/09/10 16:35:15, rdsmith wrote: > On 2014/09/02 16:58:40, baranovich wrote: > > On 2014/09/02 ...
4 years, 11 months ago (2014-09-10 16:36:16 UTC) #35
baranovich
On 2014/09/10 16:36:16, rdsmith wrote: > On 2014/09/10 16:35:15, rdsmith wrote: > > On 2014/09/02 ...
4 years, 11 months ago (2014-09-17 18:53:38 UTC) #36
mmenke
On 2014/09/17 18:53:38, baranovich wrote: > On 2014/09/10 16:36:16, rdsmith wrote: > > On 2014/09/10 ...
4 years, 11 months ago (2014-09-18 15:45:02 UTC) #37
Randy Smith (Not in Mondays)
On 2014/09/18 15:45:02, mmenke wrote: > On 2014/09/17 18:53:38, baranovich wrote: > > On 2014/09/10 ...
4 years, 11 months ago (2014-09-18 18:59:43 UTC) #38
mmenke
On 2014/09/18 18:59:43, rdsmith wrote: > On 2014/09/18 15:45:02, mmenke wrote: > > On 2014/09/17 ...
4 years, 11 months ago (2014-09-18 19:11:02 UTC) #39
Randy Smith (Not in Mondays)
Initial re-review. There are a couple of things I want to come back to after ...
4 years, 11 months ago (2014-09-18 20:55:51 UTC) #40
baranovich
https://codereview.chromium.org/423813002/diff/220001/net/base/net_error_list.h File net/base/net_error_list.h (right): https://codereview.chromium.org/423813002/diff/220001/net/base/net_error_list.h#newcode666 net/base/net_error_list.h:666: NET_ERROR(SDCH_PROBLEM, -504) On 2014/09/18 20:55:51, rdsmith wrote: > I ...
4 years, 11 months ago (2014-09-19 12:42:45 UTC) #41
Randy Smith (Not in Mondays)
On 2014/09/19 12:42:45, baranovich wrote: > https://codereview.chromium.org/423813002/diff/220001/net/base/net_error_list.h > File net/base/net_error_list.h (right): > > https://codereview.chromium.org/423813002/diff/220001/net/base/net_error_list.h#newcode666 > ...
4 years, 11 months ago (2014-09-23 18:11:11 UTC) #42
baranovich
Now it's based on that, but I'll update it commit 952a6ad2c8f23d103aac0114dc15e4de8d42db92 Author: skia-deps-roller <skia-deps-roller@chromium.org> Date: ...
4 years, 11 months ago (2014-09-23 18:57:29 UTC) #43
Randy Smith (Not in Mondays)
On 2014/09/18 20:55:51, rdsmith wrote: > Initial re-review. There are a couple of things I ...
4 years, 11 months ago (2014-09-25 18:21:39 UTC) #44
Randy Smith (Not in Mondays)
Full review round. Sorry this took so long--the past couple of weeks have been a ...
4 years, 11 months ago (2014-09-29 21:21:57 UTC) #45
baranovich
More or less done with all comments, plz take a look once more:) https://codereview.chromium.org/423813002/diff/220001/chrome/browser/resources/net_internals/main.js File ...
4 years, 11 months ago (2014-09-30 13:16:52 UTC) #46
baranovich
1 more thing about testing Similar tabs (SPDY for instance) does not have any tests, ...
4 years, 10 months ago (2014-10-02 09:43:49 UTC) #47
baranovich
1 more thing about testing Similar tabs (SPDY for instance) does not have any tests, ...
4 years, 10 months ago (2014-10-02 09:43:50 UTC) #48
mmenke
On 2014/10/02 09:43:50, baranovich wrote: > 1 more thing about testing > Similar tabs (SPDY ...
4 years, 10 months ago (2014-10-02 14:50:07 UTC) #49
Randy Smith (Not in Mondays)
Review comments. One high level question: Do you have any idea why the SdchDictionaryFetcher URL_REQUESTs ...
4 years, 10 months ago (2014-10-02 21:28:45 UTC) #50
mmenke
On 2014/10/02 21:28:45, rdsmith wrote: > Given that Matt's expressing an interest again, I'll call ...
4 years, 10 months ago (2014-10-02 21:53:56 UTC) #51
baranovich
https://codereview.chromium.org/423813002/diff/240001/net/base/sdch_manager.cc File net/base/sdch_manager.cc (left): https://codereview.chromium.org/423813002/diff/240001/net/base/sdch_manager.cc#oldcode367 net/base/sdch_manager.cc:367: SdchErrorRecovery(DOMAIN_BLACKLIST_INCLUDES_TARGET); On 2014/10/02 21:28:45, rdsmith wrote: > So I'm ...
4 years, 10 months ago (2014-10-02 23:01:50 UTC) #52
mmenke
I'm deferring heavily to Randy in terms of the changes to the SDCH logic. https://codereview.chromium.org/423813002/diff/240001/chrome/browser/resources/net_internals/main.js ...
4 years, 10 months ago (2014-10-03 18:59:27 UTC) #53
Randy Smith (Not in Mondays)
Matt: I'm happy to have you defer to me if it's to save yourself time, ...
4 years, 10 months ago (2014-10-06 19:24:57 UTC) #54
baranovich
On 2014/10/06 19:24:57, rdsmith wrote: > Matt: I'm happy to have you defer to me ...
4 years, 10 months ago (2014-10-07 19:16:20 UTC) #55
baranovich
Hi Randy, coming back to this code, unfortunately I was too busy with other stuff ...
4 years, 10 months ago (2014-10-14 10:43:38 UTC) #56
Randy Smith (Not in Mondays)
On 2014/10/14 10:43:38, baranovich wrote: > Hi Randy, > > coming back to this code, ...
4 years, 10 months ago (2014-10-14 12:15:38 UTC) #57
baranovich
Hi Matt, Randy, I've changed the histogram, made some tests and fixed other nits. You're ...
4 years, 10 months ago (2014-10-27 20:49:08 UTC) #58
baranovich
https://codereview.chromium.org/423813002/diff/240001/chrome/browser/resources/net_internals/main.js File chrome/browser/resources/net_internals/main.js (right): https://codereview.chromium.org/423813002/diff/240001/chrome/browser/resources/net_internals/main.js#newcode315 chrome/browser/resources/net_internals/main.js:315: SdchProblemCode = Constants.sdchProblemCode; On 2014/10/03 18:59:26, mmenke wrote: > ...
4 years, 10 months ago (2014-10-27 20:49:25 UTC) #59
mmenke
https://codereview.chromium.org/423813002/diff/240001/chrome/browser/resources/net_internals/main.js File chrome/browser/resources/net_internals/main.js (right): https://codereview.chromium.org/423813002/diff/240001/chrome/browser/resources/net_internals/main.js#newcode315 chrome/browser/resources/net_internals/main.js:315: SdchProblemCode = Constants.sdchProblemCode; On 2014/10/27 20:49:24, baranovich wrote: > ...
4 years, 10 months ago (2014-10-27 21:29:34 UTC) #60
baranovich
https://codereview.chromium.org/423813002/diff/240001/chrome/browser/resources/net_internals/main.js File chrome/browser/resources/net_internals/main.js (right): https://codereview.chromium.org/423813002/diff/240001/chrome/browser/resources/net_internals/main.js#newcode315 chrome/browser/resources/net_internals/main.js:315: SdchProblemCode = Constants.sdchProblemCode; On 2014/10/27 21:29:34, mmenke wrote: > ...
4 years, 10 months ago (2014-10-27 21:52:16 UTC) #61
Randy Smith (Not in Mondays)
Review of non-net-internals code. I intend to review the net-internals code too, but I'm heading ...
4 years, 10 months ago (2014-10-28 22:16:27 UTC) #62
baranovich
>It looks like the URL is still not being shown in the events list on ...
4 years, 10 months ago (2014-10-29 00:04:19 UTC) #63
Randy Smith (Not in Mondays)
No, I'm concerned about the URL_REQUEST for the dictionary itself. More detailed description: Start up ...
4 years, 10 months ago (2014-10-29 13:56:35 UTC) #64
mmenke
On 2014/10/29 13:56:35, rdsmith wrote: > No, I'm concerned about the URL_REQUEST for the dictionary ...
4 years, 10 months ago (2014-10-29 14:35:24 UTC) #65
baranovich
On 2014/10/29 14:35:24, mmenke wrote: > On 2014/10/29 13:56:35, rdsmith wrote: > > No, I'm ...
4 years, 10 months ago (2014-10-29 14:55:36 UTC) #66
mmenke
On 2014/10/29 14:55:36, baranovich wrote: > On 2014/10/29 14:35:24, mmenke wrote: > > On 2014/10/29 ...
4 years, 10 months ago (2014-10-29 14:57:07 UTC) #67
Randy Smith (Not in Mondays)
This is all I came up with for the net-internals code; after you handle this ...
4 years, 10 months ago (2014-10-29 16:15:46 UTC) #68
baranovich
>@baranovich: This is the beginning of the conditional cascade that Matt & I were >talking ...
4 years, 10 months ago (2014-10-29 18:10:21 UTC) #69
baranovich
https://codereview.chromium.org/423813002/diff/320001/chrome/browser/ui/webui/net_internals/net_internals_ui_browsertest.cc File chrome/browser/ui/webui/net_internals/net_internals_ui_browsertest.cc (right): https://codereview.chromium.org/423813002/diff/320001/chrome/browser/ui/webui/net_internals/net_internals_ui_browsertest.cc#newcode354 chrome/browser/ui/webui/net_internals/net_internals_ui_browsertest.cc:354: // Sample domain for SDCH-view test. Dictionarties for localhost/127.0.0.1 ...
4 years, 10 months ago (2014-10-29 18:28:43 UTC) #70
mmenke
A couple comments on tests. I'll do a full pass tomorrow. https://codereview.chromium.org/423813002/diff/320001/chrome/test/data/webui/net_internals/sdch_view.js File chrome/test/data/webui/net_internals/sdch_view.js (right): ...
4 years, 10 months ago (2014-10-29 22:03:21 UTC) #71
mmenke
https://codereview.chromium.org/423813002/diff/340001/chrome/browser/ui/webui/net_internals/net_internals_ui.cc File chrome/browser/ui/webui/net_internals/net_internals_ui.cc (right): https://codereview.chromium.org/423813002/diff/340001/chrome/browser/ui/webui/net_internals/net_internals_ui.cc#newcode619 chrome/browser/ui/webui/net_internals/net_internals_ui.cc:619: &IOThreadImpl::CallbackHelper, &IOThreadImpl::OnGetSdchInfo, proxy_)); Note: I added a new file ...
4 years, 10 months ago (2014-10-29 22:20:44 UTC) #72
mmenke
https://codereview.chromium.org/423813002/diff/320001/chrome/test/data/webui/net_internals/sdch_view.js File chrome/test/data/webui/net_internals/sdch_view.js (right): https://codereview.chromium.org/423813002/diff/320001/chrome/test/data/webui/net_internals/sdch_view.js#newcode87 chrome/test/data/webui/net_internals/sdch_view.js:87: if (sdchInfo.dictionaries.length > 0) { On 2014/10/29 22:03:21, mmenke ...
4 years, 10 months ago (2014-10-29 22:51:14 UTC) #73
baranovich
https://codereview.chromium.org/423813002/diff/320001/chrome/test/data/webui/net_internals/sdch_view.js File chrome/test/data/webui/net_internals/sdch_view.js (right): https://codereview.chromium.org/423813002/diff/320001/chrome/test/data/webui/net_internals/sdch_view.js#newcode88 chrome/test/data/webui/net_internals/sdch_view.js:88: var testDict = sdchInfo.dictionaries.filter(function(e) { On 2014/10/29 22:03:21, mmenke ...
4 years, 10 months ago (2014-10-30 00:33:22 UTC) #74
baranovich
On 2014/10/29 22:51:14, mmenke wrote: > https://codereview.chromium.org/423813002/diff/320001/chrome/test/data/webui/net_internals/sdch_view.js > File chrome/test/data/webui/net_internals/sdch_view.js (right): > > https://codereview.chromium.org/423813002/diff/320001/chrome/test/data/webui/net_internals/sdch_view.js#newcode87 > ...
4 years, 10 months ago (2014-10-30 00:38:10 UTC) #75
mmenke
On 2014/10/30 00:38:10, baranovich wrote: > On 2014/10/29 22:51:14, mmenke wrote: > > > https://codereview.chromium.org/423813002/diff/320001/chrome/test/data/webui/net_internals/sdch_view.js ...
4 years, 10 months ago (2014-10-30 00:49:11 UTC) #76
mmenke
Sorry for the slow response. From a NetLog standpoint, this LGTM. Please wait for rdsmith's ...
4 years, 10 months ago (2014-10-30 21:18:52 UTC) #77
Randy Smith (Not in Mondays)
On 2014/10/30 00:49:11, mmenke wrote: > On 2014/10/30 00:38:10, baranovich wrote: > > On 2014/10/29 ...
4 years, 9 months ago (2014-10-31 18:23:15 UTC) #78
Randy Smith (Not in Mondays)
On 2014/10/29 18:10:21, baranovich wrote: > >@baranovich: This is the beginning of the conditional cascade ...
4 years, 9 months ago (2014-10-31 18:43:22 UTC) #79
Randy Smith (Not in Mondays)
LGTM with nit below. Thanks very much for doing this! https://codereview.chromium.org/423813002/diff/380001/net/filter/sdch_filter.cc File net/filter/sdch_filter.cc (right): https://codereview.chromium.org/423813002/diff/380001/net/filter/sdch_filter.cc#newcode403 ...
4 years, 9 months ago (2014-10-31 19:05:35 UTC) #80
baranovich
Randy, I've added logging of the ResponseCorruptionDetection, PTAL once more.
4 years, 9 months ago (2014-10-31 19:55:17 UTC) #82
baranovich
https://codereview.chromium.org/423813002/diff/380001/chrome/browser/resources/net_internals/browser_bridge.js File chrome/browser/resources/net_internals/browser_bridge.js (right): https://codereview.chromium.org/423813002/diff/380001/chrome/browser/resources/net_internals/browser_bridge.js#newcode214 chrome/browser/resources/net_internals/browser_bridge.js:214: }, On 2014/10/30 21:18:52, mmenke wrote: > No longer ...
4 years, 9 months ago (2014-10-31 19:55:33 UTC) #83
jwd
https://codereview.chromium.org/423813002/diff/400001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/423813002/diff/400001/tools/metrics/histograms/histograms.xml#newcode29987 tools/metrics/histograms/histograms.xml:29987: + Sdch3.ProblemCodes_5 used instead. Can you add the date ...
4 years, 9 months ago (2014-11-03 18:35:28 UTC) #84
baranovich
https://codereview.chromium.org/423813002/diff/400001/tools/metrics/histograms/histograms.xml File tools/metrics/histograms/histograms.xml (right): https://codereview.chromium.org/423813002/diff/400001/tools/metrics/histograms/histograms.xml#newcode29987 tools/metrics/histograms/histograms.xml:29987: + Sdch3.ProblemCodes_5 used instead. On 2014/11/03 18:35:27, Jesse Doherty ...
4 years, 9 months ago (2014-11-03 18:48:40 UTC) #85
jwd
lgtm
4 years, 9 months ago (2014-11-03 19:41:14 UTC) #86
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/423813002/420001
4 years, 9 months ago (2014-11-03 20:53:08 UTC) #88
mmenke
https://codereview.chromium.org/423813002/diff/420001/net/filter/sdch_filter.cc File net/filter/sdch_filter.cc (right): https://codereview.chromium.org/423813002/diff/420001/net/filter/sdch_filter.cc#newcode75 net/filter/sdch_filter.cc:75: return "<unknown>"; If you remove the default case, and ...
4 years, 9 months ago (2014-11-03 21:01:05 UTC) #89
Randy Smith (Not in Mondays)
LGTM with changes below. https://codereview.chromium.org/423813002/diff/380001/net/filter/sdch_filter.cc File net/filter/sdch_filter.cc (right): https://codereview.chromium.org/423813002/diff/380001/net/filter/sdch_filter.cc#newcode403 net/filter/sdch_filter.cc:403: if (rv != SDCH_OK) { ...
4 years, 9 months ago (2014-11-03 21:01:27 UTC) #90
baranovich
https://codereview.chromium.org/423813002/diff/380001/net/filter/sdch_filter.cc File net/filter/sdch_filter.cc (right): https://codereview.chromium.org/423813002/diff/380001/net/filter/sdch_filter.cc#newcode403 net/filter/sdch_filter.cc:403: if (rv != SDCH_OK) { On 2014/11/03 21:01:27, rdsmith ...
4 years, 9 months ago (2014-11-03 22:34:23 UTC) #92
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/423813002/440001
4 years, 9 months ago (2014-11-03 23:37:22 UTC) #94
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/423813002/460001
4 years, 9 months ago (2014-11-04 00:29:37 UTC) #96
commit-bot: I haz the power
Committed patchset #24 (id:460001)
4 years, 9 months ago (2014-11-04 02:04:25 UTC) #97
commit-bot: I haz the power
Patchset 24 (id:??) landed as https://crrev.com/fe89e5a5a23f3323201d3586b2ec77174f042158 Cr-Commit-Position: refs/heads/master@{#302546}
4 years, 9 months ago (2014-11-04 02:05:08 UTC) #98
tzik
This CL seems to break netInternalsSdchViewBlacklistNonSdch. Let me revert it as https://codereview.chromium.org/704493002/.
4 years, 9 months ago (2014-11-04 04:14:15 UTC) #99
tzik
Well, the test stops failing without the revert. I'll hold my revert CL and see ...
4 years, 9 months ago (2014-11-04 04:19:51 UTC) #100
tzik
The test has been flaky. Let me land the revert CL.
4 years, 9 months ago (2014-11-04 06:34:32 UTC) #101
baranovich
Don't look it this changes yet. Uploaded without thinkng:)
4 years, 9 months ago (2014-11-13 17:22:09 UTC) #102
baranovich
4 years, 9 months ago (2014-11-13 18:38:50 UTC) #103
baranovich
Hopefully fixed test flakes and adopted new Sdch changes about SdchObserver
4 years, 9 months ago (2014-11-13 18:43:00 UTC) #104
Randy Smith (Not in Mondays)
LGTM with nit. https://codereview.chromium.org/423813002/diff/500001/net/base/net_info_source_list.h File net/base/net_info_source_list.h (right): https://codereview.chromium.org/423813002/diff/500001/net/base/net_info_source_list.h#newcode23 net/base/net_info_source_list.h:23: NET_INFO_SOURCE(SDCH, "sdchInfo", 1 << 9) nit: ...
4 years, 9 months ago (2014-11-13 18:54:24 UTC) #105
mmenke
On 2014/11/13 18:54:24, rdsmith wrote: > LGTM with nit. > > https://codereview.chromium.org/423813002/diff/500001/net/base/net_info_source_list.h > File net/base/net_info_source_list.h ...
4 years, 9 months ago (2014-11-13 19:01:49 UTC) #106
baranovich
https://codereview.chromium.org/423813002/diff/500001/net/base/net_info_source_list.h File net/base/net_info_source_list.h (right): https://codereview.chromium.org/423813002/diff/500001/net/base/net_info_source_list.h#newcode23 net/base/net_info_source_list.h:23: NET_INFO_SOURCE(SDCH, "sdchInfo", 1 << 9) On 2014/11/13 18:54:24, rdsmith ...
4 years, 9 months ago (2014-11-13 19:32:05 UTC) #107
baranovich
jwd@ PTAL
4 years, 9 months ago (2014-11-13 20:10:59 UTC) #108
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/423813002/520001
4 years, 9 months ago (2014-11-14 00:26:22 UTC) #110
commit-bot: I haz the power
Try jobs failed on following builders: linux_gpu_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/linux_gpu_triggered_tests/builds/79798) android_clang_dbg_recipe on tryserver.chromium.linux (http://build.chromium.org/p/tryserver.chromium.linux/builders/android_clang_dbg_recipe/builds/22080) linux_chromium_gn_dbg ...
4 years, 9 months ago (2014-11-14 01:05:44 UTC) #112
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/423813002/540001
4 years, 9 months ago (2014-11-14 01:17:37 UTC) #114
commit-bot: I haz the power
Committed patchset #28 (id:540001)
4 years, 9 months ago (2014-11-14 03:08:35 UTC) #115
commit-bot: I haz the power
4 years, 9 months ago (2014-11-14 03:09:20 UTC) #116
Message was sent while issue was closed.
Patchset 28 (id:??) landed as
https://crrev.com/c5e3865a91bc281f3b90454aef561c5f37806995
Cr-Commit-Position: refs/heads/master@{#304159}

Powered by Google App Engine
This is Rietveld 408576698